[ESA-20021213-033] Several MySQL vulnerabilities.

From: EnGarde Secure Linux (security@guardiandigital.com)
Date: 12/13/02

  • Next message: David Endler: "RE: iDefense Security Advisory"
    Date: Fri, 13 Dec 2002 11:06:10 -0500 (EST)
    From: EnGarde Secure Linux <security@guardiandigital.com>
    To: engarde-security@guardiandigital.com, "" <bugtraq@securityfocus.com>

    Hash: SHA1

    | EnGarde Secure Linux Security Advisory December 13, 2002 |
    | http://www.engardelinux.org/ ESA-20021213-033 |
    | |
    | Packages: MySQL, MySQL-client, MySQL-shared, mod_php, php |
    | Summary: Several MySQL vulnerabilities. |

      EnGarde Secure Linux is a secure distribution of Linux that features
      improved access control, host and network intrusion detection, Web
      based secure remote management, e-commerce, and integrated open source
      security tools.

    - --------
      Stefan Esser from the PHP.net project discovered two vulnerabilities
      in MySQL which range from crashing the server to executing arbitrary
      code as the user under which the MySQL daemon runs (mysql).

      Please refer to the e-matters advisory for more information on these


      PHP includes a copy of libmysql and is also affected by the bugs, so it
      is being updated as well.

      This update also fixes a bug in the PHP packages introduced by
      ESA-20021122-031 where session.save_path was set to /var/run/php, but
      no such directory existed.

      All users are recommended to upgrade as soon as possible.

    - --------
      Users of the EnGarde Professional edition can use the Guardian Digital
      Secure Network to update their systems automatically.

      EnGarde Community users should upgrade to the most recent version
      as outlined in this advisory. Updates may be obtained from:


      Before upgrading the package, the machine must either:

        a) be booted into a "standard" kernel; or
        b) have LIDS disabled.

      To disable LIDS, execute the command:

        # /sbin/lidsadm -S -- -LIDS_GLOBAL

      To install the updated package, execute the command:

        # rpm -Uvh files

      You must now update the LIDS configuration by executing the command:

        # /usr/sbin/config_lids.pl

      To re-enable LIDS (if it was disabled), execute the command:

        # /sbin/lidsadm -S -- +LIDS_GLOBAL

      To verify the signatures of the updated packages, execute the command:

        # rpm -Kv files

    - ----------------
      These updated packages are for EnGarde Secure Linux Community

      Source Packages:

          MD5 Sum: bdb4a912f8f3913ee701ed549b324318

          MD5 Sum: 3d51dd0223c27a2d77a5c59dc3786407

      Binary Packages:

          MD5 Sum: 54c43713e04c042f644178d60f003e03

          MD5 Sum: 6e418db90e390f2785e36dd0ff9b0545

          MD5 Sum: 1c50e008d2ba3a93aaa26fe44d3fb451

          MD5 Sum: 74c4eda4e06706a76efa196941bb8149

          MD5 Sum: 78e6b1a6041544b25e87841ffc9f3ee8

          MD5 Sum: 7009c449098640f7a1a152a423d102ab

          MD5 Sum: 36331e22edcde6377f8af9f11abf2e19

          MD5 Sum: d33c9af4a18b9c2baaed2cc8bd3abd62

          MD5 Sum: 87da20cbc478e03e36b44b26bed4716d

          MD5 Sum: 6b939072b192e5b66b75ac5849138cb4

    - ----------
      Guardian Digital's public key:

      MySQL's Official Web Site:

      PHP's Official Web Site:

      Security Contact: security@guardiandigital.com
      EnGarde Advisories: http://www.engardelinux.org/advisories.html

    - --------------------------------------------------------------------------
    $Id: ESA-20021213-033-mysql,v 1.2 2002/12/13 16:03:55 rwm Exp $
    - --------------------------------------------------------------------------
    Author: Ryan W. Maple <ryan@guardiandigital.com>
    Copyright 2002, Guardian Digital, Inc.

    Version: GnuPG v1.0.6 (GNU/Linux)
    Comment: For info see http://www.gnupg.org

    -----END PGP SIGNATURE-----

    Relevant Pages